{ config, pkgs, ... }:

with builtins;

rec {
  networking.hostName = "bc01n02";
  # TODO: undefine fqdn and define domain after big nix change
  hscloud.base.fqdn = "${networking.hostName}.hswaw.net";
  #networking.domain = "hswaw.net";
  system.stateVersion = "18.09";
  nix.maxJobs = 16;

  boot.loader.grub.device = "/dev/disk/by-id/scsi-360024e8078b0250023b10f8706d3c99e";
  fileSystems."/".device = "/dev/disk/by-uuid/2d45c87b-029b-463e-a7cb-afd5a3089327";

  hscloud.base = {
    mgmtIf = "eno1";
    ipAddr = "185.236.240.36";
    ipAddrBits = 28;
    gw = "185.236.240.33";
  };

  hscloud.kube = {
    control.enable = false;
    data.enable = false;
    data.podNet = "10.10.17.0/24";
  };
}

