{ config, pkgs, ... }:

with builtins;

rec {
  networking.hostName = "dcr01s22";
  # TODO: undefine fqdn and define domain after big nix change
  hscloud.base.fqdn = "${networking.hostName}.hswaw.net";
  #networking.domain = "hswaw.net";
  system.stateVersion = "19.09";
  nix.maxJobs = 48;

  boot.loader.grub.device = "/dev/disk/by-id/ata-Samsung_SSD_860_EVO_250GB_S3YJNX1M604518E";
  fileSystems."/".device = "/dev/disk/by-uuid/b4149083-49fe-4951-a143-aff4cedaf33a";

  hscloud.base = {
    mgmtIf = "enp130s0f0";
    ipAddr = "185.236.240.39";
    ipAddrBits = 28;
    gw = "185.236.240.33";
  };

  hscloud.kube = {
    control.enable = true;
    data.enable = true;
    data.podNet = "10.10.19.0/24";
  };
}

