{ config, pkgs, ... }:

with builtins;

rec {
  networking.hostName = "dcr01s24";
  # TODO: undefine fqdn and define domain after big nix change
  hscloud.base.fqdn = "${networking.hostName}.hswaw.net";
  #networking.domain = "hswaw.net";
  system.stateVersion = "19.09";
  nix.maxJobs = 48;

  boot.loader.grub.device = "/dev/disk/by-id/ata-Samsung_SSD_860_EVO_250GB_S3YJNF0M717009H";
  fileSystems."/".device = "/dev/disk/by-uuid/fc5c6456-5bbd-4b9e-a93e-7f9073ffe09a";

  hscloud.base = {
    mgmtIf = "enp130s0f0";
    ipAddr = "185.236.240.40";
    ipAddrBits = 28;
    gw = "185.236.240.33";
  };

  hscloud.kube = {
    control.enable = true;
    data.enable = true;
    data.podNet = "10.10.20.0/24";
  };
}

