// Copyright (C) 2017 The Android Open Source Project
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package com.googlesource.gerrit.plugins.oauth;

import com.google.gerrit.extensions.annotations.PluginName;
import com.google.gerrit.extensions.auth.oauth.OAuthLoginProvider;
import com.google.gerrit.extensions.auth.oauth.OAuthUserInfo;
import com.google.inject.Inject;
import com.google.inject.Singleton;
import java.io.IOException;

@Singleton
class DisabledOAuthLoginProvider implements OAuthLoginProvider {
  private final String pluginName;

  @Inject
  DisabledOAuthLoginProvider(@PluginName String pluginName) {
    this.pluginName = pluginName;
  }

  @Override
  public OAuthUserInfo login(String username, String secret) throws IOException {
    throw new UnsupportedOperationException(
        "git over oauth is not implemented by " + pluginName + " plugin");
  }
}
