local mirko = import "../../kube/mirko.libsonnet";
local kube = import "../../kube/kube.libsonnet";

{
    cfg:: {
        image: "registry.k0.hswaw.net/q3k/cebulacamp-landing:315532800-bbf56cf7e14df954dcddedfe44c967246f11b72c",
        webFQDN: error "webhookFQDN must be set",
    },

    component(cfg, env):: mirko.Component(env, "cebulacamp") {
        local cebulacamp = self,
        cfg+: {
            image: cfg.image,
            container: cebulacamp.Container("main") {
                command: [
                    "/hscloud/hswaw/cebulacamp/landing/backend",
                ],
            },
            ports+: {
                publicHTTP: {
                    web: {
                        port: 8080,
                        dns: cfg.webFQDN,
                    }
                },
            },
        },
    },
}
