{ pkgs, ... }:

let
  ulogd2 = import ./default.nix { pkgs = pkgs; };
  name = "ulogd2";
  config = pkgs.writeText "ulogd.conf" ''
    [global]
    logfile="/var/log/ulogd.log"
    
    stack=log1:NFLOG,base1:BASE,pcap1:PCAP
    
    [log1]
    group=2
    
    [pcap1]
    file="/var/log/ulogd.pcap"
    sync=1
  '';
in {

  systemd.services."${name}" = {
    description = "Logging packet log from nftables";
    wantedBy    = [ "multi-user.target" ];

    serviceConfig.User = "root";
    serviceConfig.Type = "simple";
      
    path = [ ulogd2 ];

    serviceConfig.ExecStart = "${ulogd2}/bin/ulogd -c ${config}";
  };
}
